sysutils/mc46 - The NetBSD Packages Collection

User-friendly file manager and visual shell (old 4.6 branch)

GNU Midnight Commander is a user-friendly yet powerful file manager
and visual shell, useful to novice and guru alike. It provides a
clear, user-friendly, and somewhat protected interface to a Unix
system while making many frequent file operations more efficient and
preserving the full power of the command prompt. You will wonder how
you could ever live without it.

This package contains the old 4.6 branch, use sysutils/mc if you
want the current version.

Build dependencies

pkgtools/cwrappers devel/glib2-tools devel/gmake devel/pkgconf

Runtime dependencies

lang/perl5 archivers/zip devel/glib2 devel/libslang2 devel/glib2 devel/libslang2

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfmc-4.6.1nb26.tgz
NetBSD 8.0earmv7hfmc-4.6.1nb25.tgz
NetBSD 8.0earmv7hfmc-4.6.1nb26.tgz
NetBSD 8.0i386mc-4.6.1nb25.tgz
NetBSD 8.0i386mc-4.6.1nb26.tgz
NetBSD 8.0powerpcmc-4.6.1nb25.tgz
NetBSD 8.0powerpcmc-4.6.1nb26.tgz
NetBSD 8.0powerpcmc-4.6.1nb26.tgz
NetBSD 8.0x86_64mc-4.6.1nb25.tgz
NetBSD 8.0x86_64mc-4.6.1nb26.tgz
NetBSD 9.0aarch64mc-4.6.1nb26.tgz
NetBSD 9.0aarch64mc-4.6.1nb25.tgz
NetBSD 9.0aarch64mc-4.6.1nb26.tgz
NetBSD 9.0alphamc-4.6.1nb26.tgz
NetBSD 9.0alphamc-4.6.1nb25.tgz
NetBSD 9.0alphamc-4.6.1nb26.tgz
NetBSD 9.0earmv6hfmc-4.6.1nb26.tgz
NetBSD 9.0earmv6hfmc-4.6.1nb25.tgz
NetBSD 9.0earmv6hfmc-4.6.1nb26.tgz
NetBSD 9.0earmv7hfmc-4.6.1nb26.tgz
NetBSD 9.0earmv7hfmc-4.6.1nb25.tgz
NetBSD 9.0earmv7hfmc-4.6.1nb26.tgz
NetBSD 9.0earmv7hfmc-4.6.1nb26.tgz
NetBSD 9.0i386mc-4.6.1nb25.tgz
NetBSD 9.0i386mc-4.6.1nb26.tgz
NetBSD 9.0mips64ebmc-4.6.1nb26.tgz
NetBSD 9.0mips64ebmc-4.6.1nb25.tgz
NetBSD 9.0mips64ebmc-4.6.1nb25.tgz
NetBSD 9.0mips64ebmc-4.6.1nb25.tgz
NetBSD 9.0mips64ebmc-4.6.1nb26.tgz
NetBSD 9.0powerpcmc-4.6.1nb26.tgz
NetBSD 9.0powerpcmc-4.6.1nb25.tgz
NetBSD 9.0powerpcmc-4.6.1nb26.tgz
NetBSD 9.0powerpcmc-4.6.1nb26.tgz
NetBSD 9.0sparc64mc-4.6.1nb26.tgz
NetBSD 9.0sparc64mc-4.6.1nb25.tgz
NetBSD 9.0sparc64mc-4.6.1nb26.tgz
NetBSD 9.0sparcmc-4.6.1nb26.tgz
NetBSD 9.0sparcmc-4.6.1nb25.tgz
NetBSD 9.0sparcmc-4.6.1nb26.tgz
NetBSD 9.0x86_64mc-4.6.1nb26.tgz
NetBSD 9.0x86_64mc-4.6.1nb26.tgz
NetBSD 9.0x86_64mc-4.6.1nb25.tgz
NetBSD 9.0x86_64mc-4.6.1nb26.tgz
NetBSD 9.0x86_64mc-4.6.1nb26.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

glib12
mc-charset
Enable charset selection and conversion.
mc-edit
Include the built-in editor.
mc-samba
Support direct access to Samba shares.
mc-subshell
mc-vfs
Support virtual filesystems for FTP, Samba, archives.
x11
Enable X11 support.
ncurses
Enable ncurses support.
slang
Enable S-Lang support.

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.